%global forgeurl https://github.com/simdjson/simdjson

Name:    simdjson
Version: 1.0.2
Release: 1%{?dist}
Summary: Parsing gigabytes of JSON per second
License: MIT
URL:     %forgeurl

%forgemeta
Source0: %forgesource

BuildRequires: cmake
BuildRequires: gcc-c++


%description
JSON is everywhere on the Internet. Servers spend a *lot* of time parsing it.
We need a fresh approach. The simdjson library uses commonly available SIMD
instructions and microparallel algorithms to parse JSON 2.5x faster than
RapidJSON and 25x faster than JSON for Modern C++.

%package  devel
Summary:  Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%forgesetup

%build
%cmake -DBUILD_SHARED_LIBS=On
%cmake_build

%install
%cmake_install


%files
%license LICENSE
%doc AUTHORS
%doc CONTRIBUTORS
%doc CONTRIBUTING.md
%doc README.md
%doc RELEASES.md
%{_libdir}/libsimdjson.so.9
%{_libdir}/libsimdjson.so.9.0.0

%files devel
%{_includedir}/simdjson.h
%{_libdir}/libsimdjson.so
%{_libdir}/cmake/simdjson/


%changelog
* Sat May 07 2022 Jonny Heggheim <hegjon@gmail.com> - 1.0.2-1
- Initial package
